var r = require("../common/vendor.js"),
  n = function (r, n) {
    return n
      ? "".concat(r, "?params=").concat(encodeURIComponent(JSON.stringify(n)))
      : r;
  };
(exports.navigateTo = function (e) {
  var t = e.url,
    o = e.params;
  r.index.navigateTo({ url: n(t, o) });
}),
  (exports.redirectTo = function (e) {
    var t = e.url,
      o = e.params;
    r.index.redirectTo({ url: n(t, o) });
  }),
  (exports.switchTab = function (n) {
    var e = n.url;
    r.index.switchTab({ url: e });
  });
